/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.core.exception;

import lombok.Getter;

/**
 * @author xuyuxiang
 * @date 2022/8/15 16:09
 **/
@Getter
public enum BizExceptionEnum {

    /*************************************** 粮库 ***************************************/

    /* ******************** 系统配置 ********************/
    ERROR15001(15001, "类型重复!15001;"),

    /* ******************** 种类校验 ********************/
    ERROR14004(14004, "水份值异常，最大值：50%!"),
    ERROR14003(14003, "该粮食出库单价不能低于质押价格!"),
    ERROR14002(14002, "该粮食还贷重量已超出质押重量!"),
    ERROR14001(14001, "出库重量已超出还款单总重量!"),

    /* ******************** 车辆预约 ********************/
    ERROR13009(13009, "车辆预约异常!"),
    ERROR13007(13007, "后车牌号异常!"),
    ERROR13006(13006, "前车牌号异常❗"),
    ERROR13005(13005, "车辆状态异常，请先处理异常!"),
    ERROR13004(13004, "还款单还有未结束的车量预约信息!"),
    ERROR13002(13002, "车辆已有预约!"),
    ERROR13003(13003, "多个还款单授权，请联系管理员处理!"),
    ERROR13008(13008, "还款单授权粮食种类匹配异常!"),
    ERROR13001(13001, "未被还款单授权!"),

    /* ******************** 贷款信息 ********************/
    ERROR12008(12008, "车辆入库不能重复贷款! code:12008"),
    ERROR12007(12007, "还款单已关闭! code:12007"),
    ERROR12006(12006, "已有待处理的还款单，请先确认和审批待处理的还款单! code:12006"),
    ERROR12005(12005, "合同已过期!请联系银行处理！"),
    ERROR12004(12004, "贷款已超额!请确认额度！"),
    ERROR12003(12003, "存在多条还款单，请联系管理员!"),
    ERROR12002(12002, "价格不能低于2400元/吨!"),
    ERROR12001(12001, "不能删除已贷款记录!"),

    /* ******************** 粮库信息 ********************/
    ERROR11001(11001, "粮库参数错误!"),

    /* ******************** 业务规则 ********************/
    ERROR00010(10010, "该标题已经存在! 请换个标题!"),
    ERROR00009(10009, "该区域粮食种类重复! 请调整信息内容!"),
    ERROR00008(10008, "该企业客户粮食种类重复! 请调整信息内容!"),
    ERROR00007(10007, "重复的信息! 请调整信息内容!"),
    ERROR00006(10006, "该名称或手机号已经存在! 请变更信息!"),
    ERROR00005(10005, "该名称已经存在! 请换个名称!"),
    ERROR00004(10004, "未查询到相关记录!"),
    ERROR00003(10003, "数据超限，请调整操作!"),
    ERROR00002(10002, "日期不完整!"),
    ERROR00001(10001, "参数不完整!");

    private final Integer code;

    private final String message;

    BizExceptionEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
