/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotFlyerSiteLog.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 飞行监管添加参数
 *
 * @author xiang
 * @date  2023/09/19 09:12
 **/
@Getter
@Setter
public class DepotFlyerSiteLogAddParam {

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 关联异常id */
    @ApiModelProperty(value = "关联异常id", position = 2)
    private String unionAlarmId;

    /** 监管类型:质量/数量/固定监管员在岗情况/标识牌是否清晰/其他 */
    @ApiModelProperty(value = "监管类型", position = 3)
    private String siteType;

    /** 监管等级 */
    @ApiModelProperty(value = "监管等级", position = 4)
    private String siteLv;

    /** 系统数据 */
    @ApiModelProperty(value = "系统数据", position = 5)
    private String sysData;

    /** 监管数据 */
    @ApiModelProperty(value = "监管数据", position = 6)
    private String siteData;

    /** 监管信息 */
    @ApiModelProperty(value = "监管信息", position = 7)
    private String siteMsg;

    /** 监管图片 */
    @ApiModelProperty(value = "监管图片", position = 8)
    private String sitePicUrl;

    /** 监管图片base64 */
    @ApiModelProperty(value = "监管图片base64", position = 8)
    private String file;

    /** 是否异常 */
    @ApiModelProperty(value = "是否异常", position = 8)
    private String alarmFlag;

    /** 处理状态 */
    @ApiModelProperty(value = "处理状态", position = 5)
    private String saveState;

    /** 处理信息 */
    @ApiModelProperty(value = "处理信息", position = 7)
    private String saveMsg;

    /** 处理时间 */
    @ApiModelProperty(value = "处理时间", position = 8)
    private String saveTime;

    /** 处理图片 */
    @ApiModelProperty(value = "处理图片", position = 8)
    private String savePicUrl;

}
