/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotFlyerSiteLogWarn.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.biz.core.Const.BizStr;

/**
 * 飞行监管异常日志添加参数
 *
 * @author xiang
 * @date  2023/09/19 14:22
 **/
@Getter
@Setter
public class DepotFlyerSiteLogWarnAddParam {

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 飞行监管日志id */
    @ApiModelProperty(value = "飞行监管日志id", position = 3)
    private String flyerSiteLogId;

    /** 监管类型 */
    @ApiModelProperty(value = "监管类型", position = 3)
    private String siteType;

    /** 异常信息 */
    @ApiModelProperty(value = "异常信息", position = 4)
    private String alarmMsg;

    /** 处理状态 */
    @ApiModelProperty(value = "处理状态", position = 5)
    private String saveState = BizStr.STATE_PROCESS_N;

    //待处理
    public DepotFlyerSiteLogWarnAddParam() {
    }

    //待处理
    public DepotFlyerSiteLogWarnAddParam(String depotId, String flyerSiteLogId, String siteType, String alarmMsg) {
        this.depotId = depotId;
        this.flyerSiteLogId = flyerSiteLogId;
        this.siteType = siteType;
        this.alarmMsg = alarmMsg;
        this.saveState = BizStr.STATE_PROCESS_N;
    }
}
