/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotLockBook.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.biz.modular.depotGrain.entity.BaseDepotGrainName;

/**
 * 电子锁预约实体
 *
 * @author xiang
 * @date  2023/09/14 09:44
 **/
@Getter
@Setter
@TableName("DEPOT_LOCK_BOOK")
public class DepotLockBook extends BaseDepotGrainName {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 库位 */
    @ApiModelProperty(value = "库位", position = 4)
    private String shedName;

    /** 锁名称 */
    @ApiModelProperty(value = "锁名称", position = 5)
    private String lockName;

    /** 描述 */
    @ApiModelProperty(value = "描述", position = 6)
    private String remark;

    /** 二级审批状态:待审批/审批通过/审批驳回 */
    @ApiModelProperty(value = "二级审批状态:待审批/审批通过/审批驳回", position = 7)
    private String bankOpApprovalState;

    /** 二级审批备注 */
    @ApiModelProperty(value = "二级审批备注", position = 8)
    private String bankOpApprovalRemark;

    /** 二级审批时间 */
    @ApiModelProperty(value = "二级审批时间", position = 9)
    private String bankOpApprovalTime;

}
