/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotRepayOrder.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 出库还款查询参数
 *
 * @author xiang
 * @date  2023/09/18 16:45
 **/
@Getter
@Setter
public class DepotRepayOrderPageParam {

    /** 当前页 */
    @ApiModelProperty(value = "当前页码")
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer size;

    /** 排序字段 */
    @ApiModelProperty(value = "排序字段，字段驼峰名称，如：userName")
    private String sortField;

    /** 排序方式 */
    @ApiModelProperty(value = "排序方式，升序：ASCEND；降序：DESCEND")
    private String sortOrder;

    /** 关键词 */
    @ApiModelProperty(value = "关键词")
    private String searchKey;

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码")
    private String depotId;

    /** 贷款合同号 */
    @ApiModelProperty(value = "贷款合同号")
    private String contractCode;

    /** 还款单号 */
    @ApiModelProperty(value = "还款单号")
    private String repayOrderNo;

    /** 车牌 */
    @ApiModelProperty(value = "车牌")
    private String licensePlate;

    /** 粮食种类 */
    @ApiModelProperty(value = "粮食种类")
    private String grainGroup;

    /** 授权提货人 */
    @ApiModelProperty(value = "授权提货人")
    private String keeperName;

    /** 授权提货人身份证号 */
    @ApiModelProperty(value = "授权提货人身份证号")
    private String keeperCitizenId;

    /** 授权提货人联系方式 */
    @ApiModelProperty(value = "授权提货人联系方式")
    private String keeperMobile;

    /** 二级审批状态 */
    @ApiModelProperty(value = "二级审批状态")
    private String bankOpApprovalState;

    /** 预约开启状态:预约开启/预约关闭 */
    @ApiModelProperty(value = "预约开启状态:预约开启/预约关闭")
    private String bookFlag;

    /** 单据状态:未开始/进行中/已结束 */
    @ApiModelProperty(value = "单据状态:未开始/进行中/已结束", position = 12)
    private String repayState;

    public DepotRepayOrderPageParam() {
    }

    public DepotRepayOrderPageParam(String depotId, String licensePlate, String grainGroup, String bankOpApprovalState, String bookFlag) {
        this.depotId = depotId;
        this.licensePlate = licensePlate;
        this.grainGroup = grainGroup;
        this.bankOpApprovalState = bankOpApprovalState;
        this.bookFlag = bookFlag;
    }
}
