/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotSampling.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * 质价确认编辑参数
 *
 * @author xiang
 * @date  2023/09/13 16:37
 **/
@Getter
@Setter
public class DepotSamplingEditParam {

    /** ID */
    @ApiModelProperty(value = "ID", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 车牌 */
    @ApiModelProperty(value = "车牌", position = 4)
    private String licensePlate;

    /** 水份 */
    @ApiModelProperty(value = "水份", position = 4)
    private BigDecimal samplingShuiFen;

    /** 容重 */
    @ApiModelProperty(value = "容重", position = 5)
    private String samplingRongZhong;

    /** 不完善率 */
    @ApiModelProperty(value = "不完善率", position = 6)
    private String samplingQueShao;

    /** 霉变 */
    @ApiModelProperty(value = "霉变", position = 7)
    private String samplingMeiBian;

    /** 价格 */
    @ApiModelProperty(value = "价格", position = 7)
    private BigDecimal samplingPrice;

    /** 粮食种类 */
    @ApiModelProperty(value = "粮食种类", position = 7)
    private String grainGroup;

    /** 粮食类型 */
    @ApiModelProperty(value = "粮食类型", position = 7)
    private String grainType;

    /** 一级审批状态 */
    @ApiModelProperty(value = "一级审批状态", position = 8)
    private String depotOpApprovalState;

    /** 二级审批状态 */
    @ApiModelProperty(value = "二级审批状态", position = 9)
    private String bankOpApprovalState;

    /** 确认状态:未确认/已确认 */
    @ApiModelProperty(value = "确认状态:未确认/已确认", position = 9)
    private String saveState;

    /** 确认时间 */
    @ApiModelProperty(value = "确认时间", position = 9)
    private String saveTime;

    public DepotSamplingEditParam() {
    }

    public DepotSamplingEditParam(String id, String saveState, String saveTime) {
        this.id = id;
        this.saveState = saveState;
        this.saveTime = saveTime;
    }
}
