/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotTruckBook.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 车辆预约表实体
 *
 * @author xiang
 * @date  2023/09/13 09:21
 **/
@Getter
@Setter
public class DepotTruckBookBillVo  {

    /** 车辆预约ID */
    @ApiModelProperty(value = "车辆预约ID", position = 3)
    private String truckBookId;

    /** 出入库:入库/出库 */
    @ApiModelProperty(value = "出入库:入库/出库", position = 3)
    private String depotBizType;

    /** 水份(%) */
    @ApiModelProperty(value = "水份(%)", position = 4)
    private BigDecimal samplingShuiFen;

    /** 司机姓名 */
    @ApiModelProperty(value = "司机姓名", position = 5)
    private String driverName;

    /** 司机手机号 */
    @ApiModelProperty(value = "司机手机号", position = 6)
    private String driverMobile;

    /** 经办人身份证号 */
    @ApiModelProperty(value = "经办人身份证号", position = 8)
    private String keeperCitizenId;

    /** 企业单位 */
    @ApiModelProperty(value = "企业单位", position = 9)
    private String companyName;

    /** 粮食种类 */
    @ApiModelProperty(value = "粮食种类", position = 12)
    private String grainGroup;

    /** 收款人 */
    @ApiModelProperty(value = "收款人", position = 14)
    private String payeeName;

    /** 收款人手机号 */
    @ApiModelProperty(value = "收款人手机号", position = 15)
    private String payeeMobile;

    /** 收款人开户行 */
    @ApiModelProperty(value = "收款人开户行", position = 16)
    private String payeeBank;

    /** 收款人开户行账户 */
    @ApiModelProperty(value = "收款人开户行账户", position = 17)
    private String payeeBankBillNo;

    /** 价格(吨/元) */
    @ApiModelProperty(value = "价格(吨/元)", position = 21)
    private BigDecimal samplingPrice;

    /** 库位 */
    @ApiModelProperty(value = "库位", position = 6)
    private String shedName;

}
