/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotTruckLade.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.biz.modular.depotGrain.entity.BaseDepotGrainName;

import java.math.BigDecimal;

/**
 * 车辆装卸货管理表实体
 *
 * @author xiang
 * @date  2023/10/16 14:18
 **/
@Getter
@Setter
@TableName("DEPOT_TRUCK_LADE")
public class DepotTruckLade extends BaseDepotGrainName {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 车辆预约ID */
    @ApiModelProperty(value = "车辆预约ID", position = 3)
    private String truckBookId;

    /** 车牌 */
    @ApiModelProperty(value = "车牌", position = 4)
    private String licensePlate;

    /** 后车牌 */
    @ApiModelProperty(value = "后车牌", position = 4)
    private String licensePlateBack;

    /** 司机姓名 */
    @ApiModelProperty(value = "司机姓名", position = 5)
    private String driverName;

    /** 库位 */
    @ApiModelProperty(value = "库位", position = 6)
    private String shedName;

    /** 一次照片时间 */
    @ApiModelProperty(value = "一次照片时间", position = 7)
    private String onePicTime;

    /** 一次照片url */
    @ApiModelProperty(value = "一次照片url", position = 8)
    private String onePicUrl;

    /** 一次卸货员 */
    @ApiModelProperty(value = "一次卸货员", position = 8)
    private String onePicUser;
    @TableField(exist = false)
    private String onePicUserName;
    @TableField(exist = false)
    private String onePicUserAccount;

    /** 二次照片时间 */
    @ApiModelProperty(value = "二次照片时间", position = 9)
    private String twoPicTime;

    /** 二次照片url */
    @ApiModelProperty(value = "二次照片url", position = 10)
    private String twoPicUrl;

    /** 二次卸货员 */
    @ApiModelProperty(value = "二次卸货员", position = 8)
    private String twoPicUser;
    @TableField(exist = false)
    private String twoPicUserName;
    @TableField(exist = false)
    private String twoPicUserAccount;

    /** 粮食种类 */
    @ApiModelProperty(value = "粮食种类", position = 12)
    private String grainGroup;

    /** 粮食类型 */
    @ApiModelProperty(value = "粮食类型", position = 13)
    private String grainType;

    /** 毛量(公斤) */
    @ApiModelProperty(value = "毛量(公斤)", position = 15)
    private BigDecimal grossWeight;

    /** 过毛时间 */
    @ApiModelProperty(value = "过毛时间", position = 13)
    private String grossTime;

    /** 校验超时限定时间 */
    @ApiModelProperty(value = "校验超时限定时间", position = 14)
    private String limitInTime;

    /** 未卸货确认:待确认/已确认 */
    @ApiModelProperty(value = "未卸货确认:待确认/已确认", position = 15)
    private String unloadBeforeState;

    /** 已卸货确认:待确认/已确认 */
    @ApiModelProperty(value = "已卸货确认:待确认/已确认", position = 16)
    private String unloadAfterState;

    public DepotTruckLade() {
    }

    public DepotTruckLade(String truckBookId) {
        this.truckBookId = truckBookId;
    }

}
