/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotTruckLade.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * 车辆装卸货管理表编辑参数
 *
 * @author xiang
 * @date  2023/10/16 14:18
 **/
@Getter
@Setter
public class DepotTruckLadeEditParam {

    /** ID */
    @ApiModelProperty(value = "ID", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 车辆预约ID */
    @ApiModelProperty(value = "车辆预约ID", position = 3)
    private String truckBookId;

    /** 车牌 */
    @ApiModelProperty(value = "车牌", position = 4)
    private String licensePlate;

    /** 司机姓名 */
    @ApiModelProperty(value = "司机姓名", position = 5)
    private String driverName;

    /** 库位 */
    @ApiModelProperty(value = "库位", position = 6)
    private String shedName;

    /** 一次照片时间 */
    @ApiModelProperty(value = "一次照片时间", position = 7)
    private String onePicTime;

    /** 一次照片url */
    @ApiModelProperty(value = "一次照片url", position = 8)
    private String onePicUrl;

    /** 二次照片时间 */
    @ApiModelProperty(value = "二次照片时间", position = 9)
    private String twoPicTime;

    /** 二次照片url */
    @ApiModelProperty(value = "二次照片url", position = 10)
    private String twoPicUrl;

}
