/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotZonePrice.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 区域价格实体
 *
 * @author xiang
 * @date  2023/09/18 17:38
 **/
@Getter
@Setter
@TableName("DEPOT_ZONE_PRICE")
public class DepotZonePrice {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 区域 */
    @ApiModelProperty(value = "区域", position = 2)
    private String zoneName;

    /** 区域价格 */
    @ApiModelProperty(value = "区域价格", position = 3)
    private BigDecimal zonePrice;

    /** 粮食种类 */
    @ApiModelProperty(value = "粮食种类", position = 4)
    private String grainGroup;

    /** 删除标志:0-未删除;1-已删除 */
    @ApiModelProperty(value = "删除标志:0-未删除;1-已删除", position = 5)
    @TableLogic(value = "0", delval = "1")
    private String delFlag;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 6)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 7)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 8)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 9)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    public DepotZonePrice() {
    }

    public DepotZonePrice(String zoneName, String grainGroup) {
        this.zoneName = zoneName;
        this.grainGroup = grainGroup;
    }

    public DepotZonePrice(String grainGroup) {
        this.grainGroup = grainGroup;
    }

}
