/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.job.task;

import org.springframework.stereotype.Component;
import vip.xiaonuo.biz.modular.depotGrain.service.DepotGrainService;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.common.util.DatesUtil;

import javax.annotation.Resource;
import java.util.Date;

/**
 * 定时器的一个示例
 * 每5分钟分执行
 *
 * @author xuyuxiang
 * @date 2022/8/5 15:52
 **/
@Component
public class DevJobTimerTaskRunnerFiveMinute implements CommonTimerTaskRunner {

    private int n = 1;

    @Resource
    DepotGrainService grainService;

    @Override
    public void action() {
        System.out.println("每1分钟分执行，正在在被执行第" + n + "次," + DatesUtil.forDateTime());
        n = n + 1;
        //半小时报警
        grainService.checkOnline(DatesUtil.forDateTime(DatesUtil.addMinute(new Date(), -2)));
    }

}
