/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.user.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

/**
 * 用户微信关注实体
 *
 * @author xuyuxiang
 * @date 2022/4/21 16:13
 **/
@Getter
@Setter
@TableName(value = "sys_user_wx_open")
public class UserWxOpen extends CommonEntity {

    /** id */
    @TableId
    @ApiModelProperty(value = "id", position = 1)
    private String id;

    /** 用户id */
    @ApiModelProperty(value = "用户id", position = 2)
    private String userId;

    /** unionId */
    @ApiModelProperty(value = "unionId", position = 3)
    private String unionId;

    /** 公众号OpenId */
    @ApiModelProperty(value = "公众号OpenId", position = 4)
    private String openId;

    /** 小程序OpenId */
    @ApiModelProperty(value = "小程序OpenId", position = 5)
    private String miniOpenId;

    /** 关注事件：subscribe/unsubscribe */
    @ApiModelProperty(value = "关注事件：subscribe/unsubscribe", position = 6)
    private String event;

    /** 关注事件时间 */
    @ApiModelProperty(value = "关注事件时间", position = 7)
    private String eventTime;

    public UserWxOpen() {
    }

    public UserWxOpen(String userId) {
        this.userId = userId;
    }

    public UserWxOpen(String id, String openId, String event, String eventTime) {
        this.id = id;
        this.openId = openId;
        this.event = event;
        this.eventTime = eventTime;
    }
}
